<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn = "SecurityAccess";
$LtEn = "300";
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		////Identificar la Cuentra de Trackeo
		$CveCta_En=$_POST['CveCta'] or $CveCta_En=$_GET['CveCta'];
		
		if ($CveCta_En=="")
		{///Inicia IF 1
			echo "<script>alert('ADVERTENCIA:\\nNo se ha definido ninguna cuenta para el Tracking. Favor de Corroborarlo');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Error1.php'>";
		}
		else
		{
			///Identificar si la Cve de Cuenta Existe
			$sql_C2 = mysql_query("select * from wms_configura_altacuentas WHERE CVE_CUENTA='$CveCta_En'");
			if (mysql_numrows($sql_C2)==0) 
			{///Inicia IF 2
				echo "<script>alert('ADVERTENCIA:\\nLa Clave de Cuenta Indicada para el Tracking NO Existe. Favor de Corroborarlo');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Error1.php'>";
			}
			else
			{
			
			///Consultar el Nombre de la Cve de cuenta
			$sql_C3 = mysql_query("select * from wms_configura_altacuentas WHERE CVE_CUENTA='$CveCta_En'");
			if (mysql_numrows($sql_C3)==0) echo "";
			else{
			$registro_C3=mysql_fetch_array($sql_C3);
			}
			if (mysql_numrows($sql_C3)>0)
			{
			$CveBodCR1=$registro_C3["CVE_BODEGA"];
			$Nom_Cta=$registro_C3["NOMBRE_CUENTA"];
			}
			
			////Arrastrando los Valores
			$GRasEn=$_GET['txt_GRAS'] or $GRasEn=$_POST['txt_GRAS'];
			
			////Identificar si la Guia de Rastreo digitada por el Usuario Existe
			$sql_CR1 = mysql_query("select * from tabla_trcarga WHERE CVE_CUENTA='$CveCta_En' AND DOCUGUIA='$GRasEn'");
			if (mysql_numrows($sql_CR1)==0) 
			{///Inicia IF 3
			echo "<script>alert('La Guia de Rastreo que ingresaste no existe. Vuelve a intentarlo (Es posible que la hayas digitado incorrectamente). Favor de corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-MiRastreo.php?CveCta=$CveCta_En'>";
			}
			else
			{
				
			////Identificar si la Guia de Rastreo se Encuentra en un Estado Autorizado para Visualizar
			$sql_CR2 = mysql_query("select * from tabla_trcarga where DOCUGUIA='$GRasEn'");
			if (mysql_numrows($sql_CR2)==0) echo "";
			else{
			$registro_CR2=mysql_fetch_array($sql_CR2);
			}
			if (mysql_numrows($sql_CR2)>0)
			{
			$EdoGuia=$registro_CR2["ESTADO"];
			$NRuta=$registro_CR2["NO_RUTA"];
			$NDocu=$registro_CR2["DOCUMENTO"];
			$UsuT=$registro_CR2["NOMBRE"];
			}
		
			////Identificar si la Guia ya fue cerrada
			if ($EdoGuia=="CONFIRMADO")
			{///Inicia IF 4
			echo "<script>alert('El pedido ya fue entregado y/o confirmado.\\nPor tal motivo ya no es posible visualizarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-MiRastreo.php?CveCta=$CveCta_En'>";
			}
			else
			{
				
				/////////IDENTIFICAR SI LA GUIA YA FUE CERRADA
			if ($EdoGuia<>"EN TRANSITO")
			{///Inicia IF 5
			echo "<script>alert('El pedido NO se encuentra apto para rastreo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=5-MiRastreo.php?CveCta=$CveCta_En'>";
			}
			else
			{
				
			//////Identificar los datos del Tracking
			$sql_DT2 = mysql_query("select * from tabla_trcarga WHERE CVE_CUENTA='$CveCta_En' AND NO_RUTA='$NRuta' ORDER BY ID ASC LIMIT 0 , 1");
			if (mysql_numrows($sql_DT2)==0) 
			{echo "";}
			else
			{
			$registro_DT2=mysql_fetch_array($sql_DT2);
			}
			if (mysql_numrows($sql_DT2)>0)
			{
			$Fec_DT2=$registro_DT2["FECHA"];
			$Hor_DT2=$registro_DT2["HORA"];
			$ConLog = $Fec_DT2. "-".$Hor_DT2;
			}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="Inactividad_Receptor.php"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="Inactividad_Receptor.php"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||<Br>Tracking</h1>
	</div>
<div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="5-MiRastreo3.php">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><Br>
	      <font class="Clase_TipoLetra">|| Rastrear mi Pedido ||<Br><Br></font></td>
	      </tr>
		  <tr>
		    <td width="111" align="left"><font class="Clase_TipoLetra">Cve. Tracking:</font></td>
		    <td width="112" align="left"><font class="Clase_TipoLetra"><b><?PHP echo $NRuta; ?></b></font></td>
	      </tr>
		  <tr>
		    <td align="left"><font class="Clase_TipoLetra">Documento:</font></td>
		    <td align="left"><font class="Clase_TipoLetra"><b><?PHP echo $NDocu; ?></b></font></td>
	      </tr>
		  <tr>
		    <td align="left"><font class="Clase_TipoLetra">Log:</font></td>
		    <td align="left"><font class="Clase_TipoLetra"><b><?PHP echo $ConLog; ?></b></font></td>
	      </tr>
		  <tr>
		    <td colspan="2"><input name="CveCta" type="hidden" id="CveCta"
		value="<?PHP echo $CveCta_En; ?>" /><Br></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center"><input type="button" value="Cancelar" onclick=" window.location.href='<?PHP echo"5-MiRastreo2.php?CveCta=$CveCta_En&txt_GRAS=$GRasEn";?>' " /></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center">&nbsp;</td>
	      </tr>
		</table>
	</form>
    
      <?PHP
		//////Muestra los Documentos Asociados al envio
		
			$Cve_Reporte = "CREP201506100086";
			/////////Identificar configuracion: Paginación x Reporte
			$sqlC2 = mysql_query("select * from wms_configura_paginacionesxreporte where CVE_REPORTE='$Cve_Reporte'");
			if (mysql_numrows($sqlC2)==0) echo "";
			else{
			$registroC2=mysql_fetch_array($sqlC2);
			}
			if (mysql_numrows($sqlC2)>0)
			{
			$LomitC2=$registroC2["LIMITE_REGISTROS_SQL"];
			}
		
			///Identificar Paginación
				$DetPagSel=$_POST['Checked'] or $DetPagSel=$_GET['Checked'];
		
				if ($DetPagSel=="NO")
					{
						require_once("Paginaciones/PHPPaging_100Reg.lib.php");
						$ValChecked ="SI";						
					}
					else
					{
						require_once("Paginaciones/PHPPaging_10Reg.lib.php");
						$VisEstInput = "checked='checked'"; 
						$ValChecked ="NO";
					}
		
		echo("<table cellspacing='0' border='1' style='color:#333;background-color:$Fond_Tabl;border-style:None; font-family:$FTit_Tabl;font-size:$TTit_Tabl;height:200 px;width:95%;border-collapse:collapse' rules='all'>");
		echo("<tr>");
	    echo("<td height='16' colspan='3' style='color:#333;font-family:Verdana; font-size:9px' align='left'>&nbsp;&nbsp;Detalle del Documento</td>");
		echo("<td height='16' colspan='1' style='color:#333;font-family:Verdana; font-size:9px'>Límite $LomitC2"); ?> <input type=checkbox <?PHP echo $VisEstInput; ?> onClick=" window.location.href='<?PHP echo"5-MiRastreo3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&CveCta=$CveCta_En&txt_GRAS=$GRasEn&Checked=$ValChecked";?>' "> <?PHP echo("&nbsp;</td>");
	    echo("</tr>");
		echo("<tr>");
	    echo("<td height='16' style='color:#333;font-family:$FEnc_Tabl;font-weight:bold;font-size:9px' align='center'>Id</td>");
		echo("<td height='16' style='color:#333;font-family:$FEnc_Tabl;font-weight:bold;font-size:9px' align='center'>Sku</td>");
   		echo("<td style='color:#333;font-family:$FEnc_Tabl;font-weight:bold;font-size:9px' align='center'>CxSurtir</td>");
	    echo("<td style='color:#333;font-family:$FEnc_Tabl;font-weight:bold;font-size:9px' align='center'>CSurtida</td>");
	    echo("</tr>");
		
		$ConteoWH = "0"; 
			
		/////////Inicia cuerpo SQL
		$paging = new PHPPaging;
		$paging->linkEstructura("5-MiRastreo3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&CveCta=$CveCta_En&txt_GRAS=$GRasEn&paginas={n}");
		$paging->agregarConsulta("SELECT * FROM tabla_tareas WHERE CVE_CUENTA='$CveCta_En' AND NO_DOCUMENTO='$NDocu' ORDER BY CANT_SURTIDA ASC");
		$paging->ejecutar();  	
		while($f= $paging->fetchResultado()) 
		{
			$ConteoWH = $ConteoWH + 1;
			
			if($ConteoWH%2==0) 
				{ 
				$BgFondoFinal = $BgF1_Tabl; ///Color Primario
				} 
				else
				{
				$BgFondoFinal= $BgF2_Tabl; ///Color Secundario
				}
		
		echo("<tr>");
		echo("<td height='16' style='color:$CCue_Tabl;font-size:9px;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='right'>$ConteoWH</td>");
		echo("<td style='color:$CCue_Tabl;font-size:9px;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[SKU]</td>");
	    echo("<td style='color:$CCue_Tabl;font-size:9px;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CANT_XSURTIR]</td>");
    	echo("<td style='color:$CCue_Tabl;font-size:9px;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$f[CANT_SURTIDA]</td>");
		echo("</tr>");
			}
			
				///////////////////////////////CONSULTA PARA SUMAR EL TOTAL DE PIEZAS A ENTREGAR////////////////////////////////////////////////
				////Consulta para sumar el Total de Piezas a Entregar
			$sqlSUMA = "SELECT SUM(CANT_SURTIDA) as ObtCant FROM tabla_tareas WHERE CVE_CUENTA='$CveCta_En' AND NO_DOCUMENTO='$NDocu'";
			$resSUMA = mysql_query($sqlSUMA); 
			$PrePiezas = mysql_fetch_assoc($resSUMA);
			$TotPiezasCPS =  $PrePiezas ['ObtCant'];
			
		echo("<tr>");	
		///echo("<td height='16' colspan='3' style='font-size:9px;font-family:Verdana'>Registros: $ConteoWH</td>");
	    echo("<td colspan='3' style='font-size:9px;font-family:Verdana' align='center'>");
		echo 'Pag.'.$paging->fetchNavegacion();
		echo("</td>");
		echo("<td height='1' colspan='1' align='center' style='font-size:9px;font-family:Verdana'>Tot: $TotPiezasCPS</td>");
		echo("</tr>");
		echo("</table>");
		echo("</div>");
		?>

      <!-- Termina Cuerpo de la Pantalla -->		
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Cuenta: <?PHP echo $Nom_Cta; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
}///Termina IF 5
}///Termina IF 4
}///Termina IF 3
}///Termina IF 2
}///Termina IF 1
?>
</body>
</html>
